pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

CVS commit: pkgsrc/devel/p5-Variable-Magic

Module Name:    pkgsrc
Committed By:   hiramatsu
Date:           Wed Oct 12 11:16:46 UTC 2011

Modified Files:
        pkgsrc/devel/p5-Variable-Magic: Makefile distinfo

Log Message:
Update p5-Variable-Magic to 0.46.

Changes from previous:
0.46    2011-01-23 16:45 UTC
        + Fix : [RT #64866] : Assertion failure with perl 5.13.9.
                The real problem was that dispell() wasn't properly resetting
                the magical sv flags, which became visible in the test suite
                only with perl 5.13.9.
                Thanks Joshua ben Jore for reporting.

0.45    2010-11-21 23:15 UTC
        This is a maintenance release. The code contains no functional change.
        Users of 0.44 can skip this update.
        + Doc : C++ compilers are officially NOT supported.
        + Doc : The minimum perl 5.10.0 requirement for uvar magic has been
                made more explicit.
                Thanks Peter Rabbitson for pointing this out and contributing a
        + Tst : Tune for perl 5.13.7.
        + Tst : Capture::Tiny will be used in t/17-ctl.t if and only if it can
                capture a simple run.

0.44    2010-09-24 19:10 UTC
        + Fix : Broken linkage on Windows with gcc 3.4, which appears in
                particular when using ActivePerl's default compiler suite.
                For those setups, the Variable::Magic shared library will now
                be linked against the perl dll directly (instead of the import
                library). This (should) fix RT #51483.
                Thanks Christian Walde for helping to reproduce this failure
                and extra testing.
        + Rem : Support for development perls from the 5.11 branch but older
                than the 5.11.0 release was removed. This could cause more
                recent setups to fail.
        + Tst : Threads tests are now only run on perl 5.13.4 and higher.
                They could segfault randomly because of what seems to be an
                internal bug of Perl, which has been addressed in 5.13.4.
                There is also an environment variable that allows you to
                forcefully run those tests, but it should be set only for
                author testing and not for end users.

To generate a diff of this commit:
cvs rdiff -u -r1.18 -r1.19 pkgsrc/devel/p5-Variable-Magic/Makefile
cvs rdiff -u -r1.15 -r1.16 pkgsrc/devel/p5-Variable-Magic/distinfo

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.

Home | Main Index | Thread Index | Old Index